diff --git a/Documentation/translations/sp_SP/index.rst b/Documentation/translations/sp_SP/index.rst
index 519c5ef9ac9d..c60c6947d2b4 100644
--- a/Documentation/translations/sp_SP/index.rst
+++ b/Documentation/translations/sp_SP/index.rst
@@ -80,7 +80,7 @@ Traducciones al español
    howto
    submitting-patches
    coding-style
+   kernel-docs
 
 .. include:: ./memory-barriers.txt
     :literal:
-
diff --git a/Documentation/translations/sp_SP/kernel-docs.rst b/Documentation/translations/sp_SP/kernel-docs.rst
new file mode 100644
index 000000000000..161402a86a79
--- /dev/null
+++ b/Documentation/translations/sp_SP/kernel-docs.rst
@@ -0,0 +1,641 @@
+.. include:: ./disclaimer-sp.rst
+
+:Original: :ref:`Documentation/process/kernel-docs.rst <kernel_docs>`
+:Translator: Carlos Bilbao <carlos.bilbao@amd.com>
+
+.. _sp_kernel_docs:
+
+Índice de documentación adicional del kernel
+============================================
+
+La necesidad de un documento como este se hizo evidente en la lista de
+correo de linux-kernel cuando las mismas preguntas, solicitando sugerencias
+e información, aparecieron una y otra vez.
+
+Afortunadamente, a medida que más y más gente accede a GNU/Linux, más
+desarrolladores se interesan por el kernel. Sin embargo, leer las fuentes
+no siempre es suficiente. Es fácil entender el código, pero se pierden los
+conceptos, la filosofía y decisiones de diseño detrás de dicho código.
+
+Desafortunadamente, no existen muchos documentos disponibles para que los
+principiantes comiencen. Y, aunque existieran, no habría ningún lugar
+"conocido" que les pudiera seguir la pista. Estas líneas tratan de cubrir
+esta carencia.
+
+POR FAVOR, si conoce algún documento que no figura aquí, o si escribe un
+nuevo documento, incluya una referencia aquí, siguiendo el proceso de envío
+de parches del kernel. Cualquier corrección, idea o comentario también es
+bienvenida.
+
+Todos los documentos se catalogan con los siguientes campos: el "Título",
+el "Autor"/es, la "URL" donde se encuentran, algunas "Palabras clave"
+útiles para buscar temas específicos, y una breve "Descripción" del
+documento en cuestión.
+
+.. note::
+
+   Los documentos de cada sección en este documento están ordenados por su
+   fecha de publicación, del más reciente al más antiguo.
+
+Documentos en el árbol del kernel Linux
+-----------------------------------------
+
+Los libros de Sphinx deben compilarse con ``make {htmldocs | pdfdocs | epubdocs}``.
+
+    * Título: **linux/Documentation**
+
+      :Autor: Many.
+      :Ubicación: Documentation/
+      :Palabras Clave: archivos de texto, Sphinx.
+      :Descripción: Documentación que viene con las fuentes del kernel,
+        dentro del directorio Documentation. Algunas páginas de este documento
+        (incluido este documento en sí) se han trasladado allí, y podrían
+        estar más actualizadas que la versión web.
+
+Documentos en línea
+-------------------
+
+    * Título: **Linux Kernel Mailing List Glossary**
+
+      :Autor: various
+      :URL: https://kernelnewbies.org/KernelGlossary
+      :Fecha: rolling version
+      :Palabras Clave: glosario terminos, linux-kernel.
+      :Descripción: De la Introducción: "This glossary is intended as
+        a brief description of some of the acronyms and terms you may hear
+        during discussion of the Linux kernel".
+
+    * Título: **Tracing the Way of Data in a TCP Connection through the Linux Kernel**
+
+      :Autor: Richard Sailer
+      :URL: https://archive.org/details/linux_kernel_data_flow_short_paper
+      :Fecha: 2016
+      :Palabras Clave: Linux Kernel Networking, TCP, tracing, ftrace
+      :Descripción: A seminar paper explaining ftrace and how to use it for
+        understanding linux kernel internals,
+        illustrated at tracing the way of a TCP packet through the kernel.
+      :Resumen: *Este breve documento describe el uso del framework de
+        tracing ftrace como una herramienta para comprender un sistema
+        Linux en ejecución. Habiendo obtenido un "trace-log", un hacker del
+        kernel puede leer y comprender código fuente con más determinación
+        y contexto. En un ejemplo detallado, este enfoque se demuestra al
+        rastrear datos en una conexión TCP a través del kernel. Finalmente,
+        tal registro se utiliza como base para una más exacta exploración
+        y descripción conceptual de la implementación de Linux TCP/IP.*
+
+    * Título: **The Linux Kernel Module Programming Guide**
+
+      :Autor: Peter Jay Salzman, Michael Burian, Ori Pomerantz, Bob Mottram,
+        Jim Huang.
+      :URL: https://sysprog21.github.io/lkmpg/
+      :Fecha: 2021
+      :Palabras Clave: modules, GPL book, /proc, ioctls, system calls,
+        interrupt handlers .
+      :Descripción: Un muy buen libro GPL sobre el tema de la programación
+        de módulos. Muchos ejemplos. Actualmente la nueva versión está
+        siendo mantenida activamente ent https://github.com/sysprog21/lkmpg.
+
+    * Título: **On submitting kernel Patches**
+
+      :Autor: Andi Kleen
+      :URL: http://halobates.de/on-submitting-kernel-patches.pdf
+      :Fecha: 2008
+      :Palabras Clave: patches, review process, types of submissions, basic rules, case studies
+      :Descripción: Este documento brinda valiosa experiencia sobre qué
+        tipos de parches hay y la probabilidad de que se acepten.
+      :Resumen:
+        [...]. En este artículo se examinan algunos problemas comunes para
+         presentar cambios más grandes y algunas estrategias para evitar
+         problemas.
+
+    * Título: **Linux Device Drivers, Third Edition**
+
+      :Autor: Jonathan Corbet, Alessandro Rubini, Greg Kroah-Hartman
+      :URL: https://lwn.net/Kernel/LDD3/
+      :Fecha: 2005
+      :Descripción: Un libro de 600 páginas que cubre la API (2.6.10)
+         programación de drivers y temas hacker del kernel en general.
+         Disponible bajo licencia Creative Commons Attribution-ShareAlike 2.0.
+      :note: También puede :ref:`comprar una copia en O'Reilly o en otro lugar <sp_ldd3_published>`.
+
+    * Título: **Writing an ALSA Driver**
+
+      :Autor: Takashi Iwai <tiwai@suse.de>
+      :URL: https://www.kernel.org/doc/html/latest/sound/kernel-api/writing-an-alsa-driver.html
+      :Fecha: 2005
+      :Palabras Clave: ALSA, sonido, tarjeta de sonido, driver, bajo nivel, hardware.
+      :Descripción: Advanced Linux Sound Architecture para desarrolladores,
+         tanto en el kernel como a nivel de usuario. ALSA era la aquitectura
+         de sonido del kernel de Linux en la versión kernel 2.6.
+
+    * Título: **Linux PCMCIA Programmer's Guide**
+
+      :Autor: David Hinds.
+      :URL: http://pcmcia-cs.sourceforge.net/ftp/doc/PCMCIA-PROG.html
+      :Fecha: 2003
+      :Palabras Clave: PCMCIA.
+      :Descripción: "Este documento describe cómo escribir drivers kernel
+         para la interfaz Card Services de la tarjeta PCMCIA de Linux.
+         También describe cómo escribir utilidades en modo usuario para
+         comunicarse con Card Services.
+
+    * Título: **How NOT to write kernel drivers**
+
+      :Autor: Arjan van de Ven.
+      :URL: https://landley.net/kdocs/ols/2002/ols2002-pages-545-555.pdf
+      :Fecha: 2002
+      :Palabras Clave: driver.
+      :Descripción: Programming bugs and Do-nots in kernel driver development
+      :Resumen: *Quitando algunos tutoriales, artículos y libros que hacen
+         una introducción sobre cómo escribir drivers del kernel de Linux,
+         desafortunadamente, las cosas que NO se deben hacer en código del
+         kernel de Linux son solo un apéndice menor o, más comúnmente,
+         están completamente ausentes. Este trabajo intenta tocar
+         brevemente las áreas en que se encuentran los errores e
+         inconvenientes más comunes y graves.*
+
+    * Título: **Global spinlock list and usage**
+
+      :Autor: Rick Lindsley.
+      :URL: http://lse.sourceforge.net/lockhier/global-spin-lock
+      :Fecha: 2001
+      :Palabras Clave: spinlock.
+      :Descripción: Este es un intento de documentar tanto la existencia
+         como el uso de spinlocks en el kernel de Linux 2.4.5. Lista
+         exhaustiva de spinlocks que muestra cuándo se usan, qué funciones
+         acceden a ellos, cómo se adquiere cada bloqueo, en qué condiciones
+         se poseen, si pueden ocurrir interrupciones o no mientras se
+         poseen...
+
+    * Título: **A Linux vm README**
+
+      :Autor: Kanoj Sarcar.
+      :URL: http://kos.enix.org/pub/linux-vmm.html
+      :Fecha: 2001
+      :Palabras Clave: memoria virtual, mm, pgd, vma, flags de pagina, pagina,
+        cache, swap cache, kswapd.
+      :Descripción: Breves descripciones y definiciones relacionandas con
+         la implementación de memoria virtual en Linux.
+
+    * Título: **Video4linux Drivers, Part 1: Video-Capture Device**
+
+      :Autor: Alan Cox.
+      :URL: http://www.linux-mag.com/id/406
+      :Fecha: 2000
+      :Palabras Clave: video4linux, driver, captura de video, dispositivos
+        de captura, driver de camara, video.
+      :Descripción: El título (dispositivo de captura de video) lo dice todo.
+
+    * Título: **Video4linux Drivers, Part 2: Video-capture Devices**
+
+      :Autor: Alan Cox.
+      :URL: http://www.linux-mag.com/id/429
+      :Fecha: 2000
+      :Palabras Clave: video4linux, driver, captura de video, capture devices,
+        driver de camara, control, query capabilities, capability, facility.
+      :Descripción: El título (dispositivo de captura de video) lo dice todo.
+
+    * Título: **Linux IP Networking. A Guide to the Implementation and Modification of the Linux Protocol Stack.**
+
+      :Autor: Glenn Herrin.
+      :URL: http://www.cs.unh.edu/cnrg/gherrin
+      :Fecha: 2000
+      :Palabras Clave: red, redes, protocol, IP, UDP, TCP, conexión,
+        socket, receiving, transmitting, forwarding, routing, paquetes,
+        módulos, /proc, sk_buff, FIB, tags, transmitir.
+      :Descripción: Excelente artículo dedicado a las redes IP de Linux,
+         explicando cualquier cosa, desde el kernel hasta el código de las
+         herramientas de configuración de espacio de usuario. Muy bueno
+         para obtener una visión general de la implementación de red del
+         kernel y entender todos los pasos que los paquetes siguen desde el
+         momento en que se reciben en el dispositivo de red hasta que se
+         envían a las aplicaciones. El kernel estudiado es de la versión
+         2.2.14. Proporciona código para un ejemplo de "packet dropper".
+
+    * Título: **How To Make Sure Your Driver Will Work On The Power Macintosh**
+
+      :Autor: Paul Mackerras.
+      :URL: http://www.linux-mag.com/id/261
+      :Fecha: 1999
+      :Palabras Clave: Mac, Power Macintosh, porting, drivers, compatibility.
+      :Descripción: El título lo dice todo (driver en Mac).
+
+    * Título: **An Introduction to SCSI Drivers**
+
+      :Autor: Alan Cox.
+      :URL: http://www.linux-mag.com/id/284
+      :Fecha: 1999
+      :Palabras Clave: SCSI, device, driver.
+      :Descripción: El título lo dice todo (drivers SCSI).
+
+    * Título: **Advanced SCSI Drivers And Other Tales**
+
+      :Autor: Alan Cox.
+      :URL: http://www.linux-mag.com/id/307
+      :Fecha: 1999
+      :Palabras Clave: SCSI, device, driver, advanced.
+      :Descripción: El título lo dice todo (drivers SCSI avanzados).
+
+    * Título: **Writing Linux Mouse Drivers**
+
+      :Autor: Alan Cox.
+      :URL: http://www.linux-mag.com/id/330
+      :Fecha: 1999
+      :Palabras Clave: ratón, driver, gpm.
+      :Descripción: El título lo dice todo (drivers para el ratón en Linux).
+
+    * Título: **More on Mouse Drivers**
+
+      :Autor: Alan Cox.
+      :URL: http://www.linux-mag.com/id/356
+      :Fecha: 1999
+      :Palabras Clave: ratón, driver, gpm, races, asynchronous I/O.
+      :Descripción: El título todavía lo dice todo (mas sobre drivers para
+         el ratón en Linux)..
+
+    * Título: **Writing Video4linux Radio Driver**
+
+      :Autor: Alan Cox.
+      :URL: http://www.linux-mag.com/id/381
+      :Fecha: 1999
+      :Palabras Clave: video4linux, driver, radio, radio devices, dispositivos de radio.
+      :Descripción: El título lo dice todo (driver para radio Video4linux).
+
+    * Título: **I/O Event Handling Under Linux**
+
+      :Autor: Richard Gooch.
+      :URL: https://web.mit.edu/~yandros/doc/io-events.html
+      :Fecha: 1999
+      :Palabras Clave: IO, I/O, select(2), poll(2), FDs, aio_read(2), readiness
+        event queues, colas de eventos.
+      :Descripción: De la Introducción: "I/O Event handling is about
+        how your Operating System allows you to manage a large number of
+        open files (file descriptors in UNIX/POSIX, or FDs) in your
+        application. You want the OS to notify you when FDs become active
+        (have data ready to be read or are ready for writing). Ideally you
+        want a mechanism that is scalable. This means a large number of
+        inactive FDs cost very little in memory and CPU time to manage".
+
+    * Título: **(nearly) Complete Linux Loadable Kernel Modules. The definitive guide for hackers, virus coders and system administrators.**
+
+      :Autor: pragmatic/THC.
+      :URL: http://packetstormsecurity.org/docs/hack/LKM_HACKING.html
+      :Fecha: 1999
+      :Palabras Clave: syscalls, interceptar, ocultar, abusar, symbol table.
+      :Descripción: Interesante artículo sobre cómo abusar del kernel Linux
+         para interceptar y modificar syscalls, hacer archivos/directorios/procesos
+         invisibles, convertirse en root, secuestrar ttys, escribir virus
+         basados en módulos del kernel... y soluciones para que los
+         administradores eviten todos esos abusos.
+      :Notas: Para kernels 2.0.x. Da instrucciones para portarlo a kernels
+        2.2.x.
+
+    * Título: **Linux Virtual File System**
+
+      :Autor: Peter J. Braam.
+      :URL: http://www.coda.cs.cmu.edu/doc/talks/linuxvfs/
+      :Fecha: 1998
+      :Palabras Clave: slides, VFS, inodo, superblock, dentry, dcache.
+      :Descripción: Conjunto de diapositivas, presumiblemente de una
+         presentación del layer Linux VFS. Cubre la versión 2.1.x, con
+         dentries y el dcaché.
+
+    * Título: **The Venus kernel interface**
+
+      :Autor: Peter J. Braam.
+      :URL: http://www.coda.cs.cmu.edu/doc/html/kernel-venus-protocol.html
+      :Fecha: 1998
+      :Palabras Clave: coda, filesystem, venus, cache manager, sistemas de ficheros.
+      :Descripción: "This document describes the communication between
+        Venus and kernel level file system code needed for the operation
+        of the Coda filesystem. This version document is meant to describe
+        the current interface (version 1.0) as well as improvements we
+        envisage".
+
+    * Título: **Design and Implementation of the Second Extended Filesystem**
+
+      :Autor: Rémy Card, Theodore Ts'o, Stephen Tweedie.
+      :URL: https://web.mit.edu/tytso/www/linux/ext2intro.html
+      :Fecha: 1998
+      :Palabras Clave: ext2, historia de linux fs, inode, directory, link, devices,
+        VFS, physical structure, performance, benchmarks, ext2fs library,
+        ext2fs tools, e2fsck, inodo, rendimiento, libreria, dispositivos.
+      :Descripción: Documento escrito por tres de los mejores hackers de ext2.
+        Cubre la historia de los sistemas de archivos de Linux, la
+        motivación de ext2, las características de ext2, diseño, estructura
+        física en disco, rendimiento, benchmarks, descripción de los pases
+        de e2fsck... De lectura obligada!
+      :Notas: Este artículo se publicó por primera vez el Proceedings of the
+        First Dutch International Symposium on Linux, ISBN 90-367-0385-9.
+
+    * Título: **The Linux RAID-1, 4, 5 Code**
+
+      :Autor: Ingo Molnar, Gadi Oxman and Miguel de Icaza.
+      :URL: http://www.linuxjournal.com/article.php?sid=2391
+      :Fecha: 1997
+      :Palabras Clave: RAID, MD driver.
+      :Descripción: artículo del Linux Journal Kernel Korner.
+      :Resumen: *Una descripción de la implementación de RAID-1,
+        personalidades RAID-4 y RAID-5 del driver de dispositivo MD en el
+        kernel Linux, proporcionando a los usuarios una capacidad de
+        almacenamiento secundaria de alto rendimiento y fiabilidad, usando
+        software*.
+
+    * Título: **Linux Kernel Hackers' Guide**
+
+      :Autor: Michael K. Johnson.
+      :URL: https://www.tldp.org/LDP/khg/HyperNews/get/khg.html
+      :Fecha: 1997
+      :Palabras Clave: device drivers, files, VFS, kernel interface, character vs
+        block devices, hardware interrupts, scsi, DMA, access to user memory,
+        memory allocation, timers, archivos, interfaz del kernel, interrupciones.
+      :Descripción: Una guía diseñada para ayudarle a ponerse al día sobre
+        los conceptos que no son intuitivamente obvios, y para documentar
+        la estructuras interna de Linux.
+
+    * Título: **Dynamic Kernels: Modularized Device Drivers**
+
+      :Autor: Alessandro Rubini.
+      :URL: http://www.linuxjournal.com/article.php?sid=1219
+      :Fecha: 1996
+      :Palabras Clave: device driver, module, loading/unloading modules,
+        allocating resources, modulos, asignando recursos, módulos kernel cargables.
+      :Descripción: artículo del Linux Journal Kernel Korner.
+      :Resumen: *Este es el primero de una serie de cuatro artículos
+        co-escrito por Alessandro Rubini y Georg Zezchwitz que presentan
+        un enfoque práctico para escribir drivers de dispositivos Linux
+        como módulos kernel cargables. Esta entrega presenta una
+        introducción al tema, preparando al lector para entender la entrega
+        del próximo mes*.
+
+    * Título: **Dynamic Kernels: Discovery**
+
+      :Autor: Alessandro Rubini.
+      :URL: http://www.linuxjournal.com/article.php?sid=1220
+      :Fecha: 1996
+      :Palabras Clave: character driver, init_module, clean_up module,
+        autodetection, mayor number, minor number, file operations,
+        open(), close(), dispositivo, driver de caracteres.
+      :Descripción: artículo del Linux Journal Kernel Korner.
+      :Resumen: *Este artículo, el segundo de cuatro, introduce parte de
+         código real para crear un módulo personalizado que implemente un
+         driver de dispositivo. Describe el código para la inicialización
+         del módulo y limpieza, así como las llamadas al sistema open() y
+         close()*.
+
+    * Título: **The Devil's in the Details**
+
+      :Autor: Georg v. Zezschwitz and Alessandro Rubini.
+      :URL: http://www.linuxjournal.com/article.php?sid=1221
+      :Fecha: 1996
+      :Palabras Clave: read(), write(), select(), ioctl(), blocking/non
+        blocking mode, interrupt handler, dispositivo, driver de caracteres.
+      :Descripción: artículo del Linux Journal Kernel Korner.
+      :Resumen: *Este artículo, el tercero de cuatro sobre escritura de
+         drivers de dispositivos de caracteres, introduce conceptos de
+         lectura, escritura y uso de llamadas ioctl*.
+
+    * Título: **Dissecting Interrupts and Browsing DMA**
+
+      :Autor: Alessandro Rubini and Georg v. Zezschwitz.
+      :URL: https://www.linuxjournal.com/article.php?sid=1222
+      :Fecha: 1996
+      :Palabras Clave: interrupciones, irqs, DMA, bottom halves, task queues.
+      :Descripción: artículo del Linux Journal Kernel Korner.
+      :Resumen: *Este es el cuarto de una serie de artículos sobre escribir
+         drivers de dispositivos de caracteres como módulos cargables del
+         kernel. Este mes, investigamos más a fondo el tema de manejo de
+         interrupciones. Aunque es conceptualmente simple, las limitaciones
+         prácticas y las restricciones hacen que esta sea una parte
+         "interesante" sobre la escritura del driver del dispositivo, y se
+         han proporcionado varias cuestiones diferentes para diferentes
+         situaciones. También investigamos el complejo tema de DMA*.
+
+    * Título: **Device Drivers Concluded**
+
+      :Autor: Georg v. Zezschwitz.
+      :URL: https://www.linuxjournal.com/article.php?sid=1287
+      :Fecha: 1996
+      :Palabras Clave: address spaces, pages, pagination, page management,
+        demand loading, swapping, memory protection, memory mapping, mmap,
+        virtual memory areas (VMAs), vremap, PCI, espacio de direcciones,
+        gestión de páginas.
+      :Descripción: Finalmente, lo anterior resultó en una serie de cinco
+         artículos. La introducción de este último dice: "Este es el último
+         de cinco artículos sobre drivers de dispositivos de caracteres. En
+         esta sección final, Georg se ocupa de los dispositivos de mapeo de
+         memoria, comenzando con una descripción general de los conceptos
+         de gestión de memoria de Linux".
+
+    * Título: **Network Buffers And Memory Management**
+
+      :Autor: Alan Cox.
+      :URL: https://www.linuxjournal.com/article.php?sid=1312
+      :Fecha: 1996
+      :Palabras Clave: sk_buffs, network devices, protocol/link layer
+        variables, network devices flags, transmit, receive,
+        configuration, multicast, redes, transmitir, recibir, drivers de red.
+      :Descripción: Linux Journal Kernel Korner.
+      :Resumen: *Escribir un driver de dispositivo de red para Linux es
+         fundamentalmente simple --- la mayor parte de la complejidad
+         (aparte de hablar con el hardware) implica la gestión de paquetes
+         de red en la memoria*.
+
+    * Título: **Analysis of the Ext2fs structure**
+
+      :Autor: Louis-Dominique Dubeau.
+      :URL: https://teaching.csse.uwa.edu.au/units/CITS2002/fs-ext2/
+      :Fecha: 1994
+      :Palabras Clave: ext2, filesystem, ext2fs, inodos.
+      :Descripción: Descripción de los bloques, directorios, inodos,
+         mapas de bits, invariantes...
+
+Libros publicados
+-----------------
+
+    * Título: **Linux Treiber entwickeln**
+
+      :Autor: Jürgen Quade, Eva-Katharina Kunst
+      :Publica: dpunkt.verlag
+      :Fecha: Oct 2015 (4th edition)
+      :Paginas: 688
+      :ISBN: 978-3-86490-288-8
+      :Note: Alemán. La tercera edición de 2011 es
+         mucho más barata y todavía (?) bastante actualizada.
+
+    * Título: **Linux Kernel Networking: Implementation and Theory**
+
+      :Autor: Rami Rosen
+      :Publica: Apress
+      :Fecha: December 22, 2013
+      :Paginas: 648
+      :ISBN: 978-1430261964
+
+    * Título: **Embedded Linux Primer: A practical Real-World Approach, 2nd Edition**
+
+      :Autor: Christopher Hallinan
+      :Publica: Pearson
+      :Fecha: November, 2010
+      :Paginas: 656
+      :ISBN: 978-0137017836
+
+    * Título: **Linux Kernel Development, 3rd Edition**
+
+      :Autor: Robert Love
+      :Publica: Addison-Wesley
+      :Fecha: July, 2010
+      :Paginas: 440
+      :ISBN: 978-0672329463
+
+    * Título: **Essential Linux Device Drivers**
+
+      :Autor: Sreekrishnan Venkateswaran
+      :Published: Prentice Hall
+      :Fecha: April, 2008
+      :Paginas: 744
+      :ISBN: 978-0132396554
+
+.. _sp_ldd3_published:
+
+    * Título: **Linux Device Drivers, 3rd Edition**
+
+      :Authors: Jonathan Corbet, Alessandro Rubini, and Greg Kroah-Hartman
+      :Publica: O'Reilly & Associates
+      :Fecha: 2005
+      :Paginas: 636
+      :ISBN: 0-596-00590-3
+      :Notas: Más información en
+        http://www.oreilly.com/catalog/linuxdrive3/
+        formato PDF, URL: https://lwn.net/Kernel/LDD3/
+
+    * Título: **Linux Kernel Internals**
+
+      :Autor: Michael Beck
+      :Publica: Addison-Wesley
+      :Fecha: 1997
+      :ISBN: 0-201-33143-8 (segunda edición)
+
+    * Título: **Programmation Linux 2.0 API systeme et fonctionnement du noyau**
+
+      :Autor: Remy Card, Eric Dumas, Franck Mevel
+      :Publica: Eyrolles
+      :Fecha: 1997
+      :Paginas: 520
+      :ISBN: 2-212-08932-5
+      :Notas: French
+
+    * Título: **The Design and Implementation of the 4.4 BSD UNIX Operating System**
+
+      :Autor: Marshall Kirk McKusick, Keith Bostic, Michael J. Karels,
+        John S. Quarterman
+      :Publica: Addison-Wesley
+      :Fecha: 1996
+      :ISBN: 0-201-54979-4
+
+    * Título: **Unix internals -- the new frontiers**
+
+      :Autor: Uresh Vahalia
+      :Publica: Prentice Hall
+      :Fecha: 1996
+      :Paginas: 600
+      :ISBN: 0-13-101908-2
+
+    * Título: **Programming for the real world - POSIX.4**
+
+      :Autor: Bill O. Gallmeister
+      :Publica: O'Reilly & Associates, Inc
+      :Fecha: 1995
+      :Paginas: 552
+      :ISBN: I-56592-074-0
+      :Notas: Aunque no se trata directamente de Linux, Linux pretende ser
+        POSIX. Buena referencia.
+
+    * Título:  **UNIX  Systems  for  Modern Architectures: Symmetric Multiprocessing and Caching for Kernel Programmers**
+
+      :Autor: Curt Schimmel
+      :Publica: Addison Wesley
+      :Fecha: June, 1994
+      :Paginas: 432
+      :ISBN: 0-201-63338-8
+
+    * Título: **The Design and Implementation of the 4.3 BSD UNIX Operating System**
+
+      :Autor: Samuel J. Leffler, Marshall Kirk McKusick, Michael J
+        Karels, John S. Quarterman
+      :Publica: Addison-Wesley
+      :Fecha: 1989 (reimpreso con correcciones en October, 1990)
+      :ISBN: 0-201-06196-1
+
+    * Título: **The Design of the UNIX Operating System**
+
+      :Autor: Maurice J. Bach
+      :Publica: Prentice Hall
+      :Fecha: 1986
+      :Paginas: 471
+      :ISBN: 0-13-201757-1
+
+Recursos varios
+---------------
+
+    * Título: **Cross-Referencing Linux**
+
+      :URL: https://elixir.bootlin.com/
+      :Palabras Clave: Browsing source code.
+      :Descripción: Otro navegador de código fuente del kernel Linux que se
+        encuentra en la web.  Muchas referencias cruzadas a variables y
+        funciones. Puedes ver dónde se definen y dónde se utilizan.
+
+    * Título: **Linux Weekly News**
+
+      :URL: https://lwn.net
+      :Palabras Clave: latest kernel news, noticias del kernel Linux.
+      :Descripción: El título lo dice todo (Noticias Semanales de Linux).
+        Hay una sección fija sobre el kernel, resumiendo el trabajo de sus
+        desarrolladores, correcciones de errores, nuevas funciones y
+        versiones, producido durante la semana. Publicado todos los jueves.
+
+    * Título: **The home page of Linux-MM**
+
+      :Autor: The Linux-MM team.
+      :URL: https://linux-mm.org/
+      :Palabras Clave: memory management, Linux-MM, mm patches, TODO, docs,
+        mailing list, administración de memoria, Linux-MM, parches mm, listas
+        de correo.
+      :Descripción: Sitio dedicado al desarrollo de la gestión de memoria
+        de Linux. Parches relacionados con la memoria, HOWTOs, enlaces,
+        desarrolladores de mm... ¡Si está interesado en el desarrollo de la
+        gestión de memoria no te lo pierdas!
+
+    * Título: **Kernel Newbies IRC Channel and Website**
+
+      :URL: https://www.kernelnewbies.org
+      :Palabras Clave: IRC, newbies, channel, asking doubts, canal, dudas,
+        novatos, preguntar.
+      :Descripción: #kernelnewbies en irc.oftc.net.
+        #kernelnewbies es una red de IRC dedicada al hacker del kernel
+        'novato'. La audiencia se compone principalmente de personas que
+        quieren aprender sobre el kernel, trabajar en proyectos del kernel
+        o hackers profesionales del kernel que quieren ayudar a la gente
+        menos experimentada.
+        #kernelnewbies es parte de la red OFTC IRC.
+        Pruebe con irc.oftc.net como su servidor y luego haga /join
+        #kernelnewbies.
+        El sitio web kernelnewbies también alberga artículos, documentos, FAQs...
+
+    * Título: **linux-kernel mailing list archives and search engines**
+
+      :URL: http://vger.kernel.org/vger-lists.html
+      :URL: http://www.uwsg.indiana.edu/hypermail/linux/kernel/index.html
+      :URL: http://groups.google.com/group/mlist.linux.kernel
+      :Palabras Clave: linux-kernel, archives, buscar, search, archivos.
+      :Descripción: Algunos de los archivadores de listas de correo del
+        kernel de Linux. Si usted tiene uno mejor/otro, por favor hágamelo
+        saber.
+
+-------
+
+Este documento se basaba originalmente en:
+
+  https://www.dit.upm.es/~jmseyas/linux/kernel/hackers-docs.html
+
+escrito por Juan-Mariano de Goyenche